# $Revision: 1.13.2.2 $, $Date: 2003/04/10 16:10:38 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Exception
%define	pnam	Class
Summary:	Exception::Class - declare real exception classes in Perl
Summary(pl):	Exception::Class - deklarowanie prawdziwych klas wyjtkw w Perlu
Name:		perl-Exception-Class
Version:	1.12
Release:	1
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	perl >= 5.005
%if %{!?_without_tests:1}0
BuildRequires:	perl-Class-Data-Inheritable >= 0.02
BuildRequires:	perl-Devel-StackTrace >= 1.03
BuildRequires:	perl(Test::More) >= 0.46
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Exception::Class allows you to declare exceptions in your modules
in a manner similar to how exceptions are declared in Java.

%description -l pl
Exception::Class pozwala na deklarowanie w moduach wyjtkw
w sposb podobny do stosowanego w Javie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes LICENSE
%{perl_sitelib}/Exception
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Exception-Class.spec,v $
Revision 1.13.2.2  2003/04/10 16:10:38  ankry
- updated to 1.12
- cosmetics

Revision 1.13.2.1  2003/03/13 00:57:07  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.13  2003/02/24 20:31:53  radek
- use the __perl macro

Revision 1.12  2003/02/21 23:39:30  ankry
- autoupdated to 1.11

Revision 1.11  2003/02/20 23:31:00  ankry
- autoupdated to 1.10

Revision 1.10  2003/02/18 15:32:01  ankry
- massive attack: change CPAN URLs

Revision 1.9  2003/01/23 09:52:04  radek
- version 1.09

Revision 1.8  2002/09/21 20:59:23  radek
- version 1.07

Revision 1.7  2002/08/24 17:05:29  radek
- informative summary/description
- version 1.05, added conditional tests, STBR

Revision 1.6  2002/08/18 12:06:20  blues
- release 4 - license fix; STBR

Revision 1.5  2002/07/29 12:14:24  ankry
- fixed summary

Revision 1.4  2002/07/29 08:30:18  qboosh
- compressed BRs

Revision 1.3  2002/07/28 22:19:25  ankry
- added package names to BR
- commented out %%{__make} test
- release 3

Revision 1.2  2002/07/16 23:34:37  ankry
- translations, cleaning
- added %%{perl_sitelib}/Exception
- fixed License field
- release 2

Revision 1.1  2002/07/15 07:42:14  depesz
- spec by Radosaw Zieliski
